problem installing on linux

Just tried to install phpstorm but I am getting an error


Java HotSpot(TM) 64-Bit Server VM warning: ignoring option MaxPermSize=350m; sup
port was removed in 8.0

Startup Error: Unable to detect graphics environment


I do have the GUI installed - I actually did that in hope to use phpstorm ... lol

What am I missing?

2 comments
Comment actions Permalink

What JDK do you run PhpStorm with? Such errors (

 java.awt.HeadlessException: Unable to detect graphics environment) may be caused by:

- your JDK is headless - doesn't include graphics libraries (see http://stackoverflow.com/questions/5362512/unable-to-run-java-gui-programs-with-ubuntu), for example
- permissions issue (https://forums.opensuse.org/showthread.php/506451-Can-t-install-Intellj)
- accessing java in non-GUI environment
0
Comment actions Permalink

java -version prints:

java version "1.8.0_66"
Java(TM) SE Runtime Environment (build 1.8.0_66-b17)
Java HotSpot(TM) 64-Bit Server VM (build 25.66-b17, mixed mode)

0

Please sign in to leave a comment.